Bug 1298851 (CVE-2016-1899) - CVE-2016-1899 cgit: Reflected XSS and header injection in mimetype query string
Summary: CVE-2016-1899 cgit: Reflected XSS and header injection in mimetype query string
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-1899
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160104,repor...
Depends On: 1298852 1298853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-15 09:30 UTC by Adam Mariš
Modified: 2019-06-08 20:56 UTC (History)
4 users (show)

Fixed In Version: cgit 0.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:47:25 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-01-15 09:30:16 UTC
It was found that ui-blob handler accepted a mimetype as a query string and then echoed this string verbatim back. A malicious user could provide a string like:

http://git.zx2c4.com/cgit/blob/cgit.c?mimetype=text/html%0d%0a%0d%0a<script>xss</script>

Upstream patch:

http://git.zx2c4.com/cgit/commit/?id=1c581a072651524f3b0d91f33e22a42c4166dd96

CVE assignment:

http://openwall.com/lists/oss-security/2016/01/14/6

Comment 1 Adam Mariš 2016-01-15 09:30:50 UTC
Created cgit tracking bugs for this issue:

Affects: fedora-all [bug 1298852]
Affects: epel-all [bug 1298853]

Comment 2 Fedora Update System 2016-01-26 03:18:53 UTC
cgit-0.12-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-01-26 18:26:10 UTC
cgit-0.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-01 22:54:31 UTC
cgit-0.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-01 23:24:37 UTC
cgit-0.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:47:25 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.